Bug 170571 - [x86_64] broken dependencies in U6 openoffice.org
[x86_64] broken dependencies in U6 openoffice.org
Status: CLOSED DUPLICATE of bug 157361
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openoffice.org (Show other bugs)
3.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 18:28 EDT by Radek Bíba
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 12:54:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2005-10-12 18:28:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
After upgrade to U6 further update to newest security errata using up2date
fails. It says it wants to download and install openoffice.org but later finds
out that it's already installed.

I've done some investigation on this, new openoffice obsoletes
openoffice.org-style-gnome but this package stayed installed for some reason,
up2date tries to resolve this by updating openoofice.org. But it's already
installed:

# up2date -u

Fetching Obsoletes list for channel: rhel-x86_64-as-3...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
...<snip, some packages>
openoffice.org                          1.1.2          28.2.0.EL3        i386
.......<snip, more packages to update>

Testing package set / solving RPM inter-dependencies...
########################################
RPM package conflict error.  The message was:
Test install failed because of package conflicts:
package openoffice.org-1.1.2-28.2.0.EL3 is already installed

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-28.2.0.EL3.i386

How reproducible:
Always

Steps to Reproduce:
1. have a fresh U6 installation on an x86_64 (I've not reproduced it on other arches)
2. up2date -u


Or, have openoffice.org (+libs & i18n) version 1.1.2-24.2.1.EL3 and
openoffice.org-style-gnome (version 1.1.0-16.9.EL) and try to update it to
the new OO.o version using plain rpm. (this means it's not a bug in up2date)

Actual Results:  The whole update process fails (up2date) / openoffice.org-style-gnome stays
installed

Expected Results:  no conflict / openoffice.org-style-gnome is uninstalled since it't obsoleted by
new OO.o

Additional info:

workaround: uninstall openoffice.org-style-gnome, then up2date -u works.

Please note that this issue prevents the system from updating if
openoffice.org-style-gnome is installed.
Comment 1 Caolan McNamara 2005-10-13 09:31:28 EDT
As you say, it's got the 
Obsoletes:      openoffice.org-style-gnome
obsoletes, so it should have been ok. Wonder if there is a x86_64 specific issue
here.

caolanm->notting: any ideas ?
Comment 2 Bill Nottingham 2005-10-17 15:33:17 EDT
Will it not do the obsoletes because it's a different arch?
Comment 3 Caolan McNamara 2005-10-25 06:53:16 EDT
I haven't a clue about what's going on here, nor what action if any should be
taken. The spec's apparently got the right Obsolete line.
Comment 4 Radek Bíba 2005-10-25 12:54:05 EDT
After an additional testing this is not a bug in OO.o, rpm is to blame.
Sorry, Caolan. Bill, you were true.

*** This bug has been marked as a duplicate of 157361 ***

Note You need to log in before you can comment on or make changes to this bug.